#ifndef VSMT_MAIN_H
#define VSMT_MAIN_H

#include "vsmt_base.h"

class VSMT_Main : public VSMT_Base {
public:
    VSMT_Main(int iID, const QString& sName);
    void SM_Home(int iStep, bool bSingle);
    void init_Machine();
    void exit_Machine();
    void do_Msg(const V_Msg& msg);
};

#endif // VSMT_MAIN_H
